Returns a list of bank transactions for the specified business.
Transactions can be filtered by:Documentation Index
Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
Use this file to discover all available pages before exploring further.
date, amount, counterparty name, or description. This defaults sorting by date in ascending order.
You can use sort_order query parameter to sort transactions in ascending or descending order. This defaults to ascending order.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Content-Type must be set to application/json.
The UUID of the business to fetch bank transactions for.
Filter by exact reference number match. Returns only records with this exact reference number.
Comma-separated list of reference numbers to filter transactions. Only transactions with reference numbers matching any value in this list will be returned.
The start date of the transaction range to fetch.
The end date of the transaction range to fetch.
The direction of the transaction to fetch.
INFLOW, OUTFLOW The categorization status of the transaction to fetch. If you wish to see all uncategorized transactions, see categorized=false query parameter.
PENDING, READY_FOR_INPUT, CATEGORIZED, SPLIT, MATCHED The minimum amount of the transaction to fetch.
The maximum amount of the transaction to fetch.
Case-insensitive substring to search for in transaction descriptions (contains match, not exact equality).
Regex to search for in description transactions. Regex will be parsed exactly as given and an error will be returned if the regex is invalid.
Comma-separated list of external account (e.g. Plaid account) IDs. This will filter for bank transactions within the provided list of accounts.
Filter transactions by exact memo match.
Filter transactions where memo contains this substring.
UUID of the customer to filter transactions by.
External ID of the customer to filter transactions by.
UUID of the vendor to filter transactions by.
External ID of the vendor to filter transactions by.
Filter transactions by whether they are matched (true) or not matched (false).
Filter transactions by category identifier or stable name.
Filter transactions by whether they are categorized (single categorization, split transactions, or matched transactions) or not categorized (pending, under review, ready for input).
Substring to search for in merchant name. Only exact matches will be returned.
Regex to search for in merchant name. Regex will be parsed exactly as given and an error will be returned if the regex is invalid.
Sort key used for pagination ordering. name corresponds to transaction description text (for Plaid, this is the Plaid transaction name field). Defaults to date.
date, amount, counterparty_name, name Sort direction for sort_by. Use ASC or DESC. Defaults to ASC.
ASC, DESC Comma-separated list of external transaction IDs (the upstream provider's identifier). Only transactions whose external ID matches one of the supplied values will be returned.
UUID of a bank transaction counterparty. Only transactions associated with this counterparty will be returned.
If true, only transactions that have a counterparty assigned are returned. If false, only transactions without a counterparty are returned.
General-purpose search query. The value is matched against transaction descriptions, and is also parsed for an optional signed amount (e.g. +1234 to find inflows of $12.34, -1234 to find outflows) and category names from the chart of accounts.
Tag key to filter transactions by. Must be supplied together with tag_values. Only transactions tagged with the given key/value pair will be returned.
Tag values to filter transactions by, paired with tag_key. Provide one or more values by repeating the query parameter (e.g. tag_values=foo&tag_values=bar). Required when tag_key is supplied.
Unique identifier of the bank transaction.
Unique identifier of the business the bank transaction is associated with.
Source of the transaction.
UNIT, PLAID, API, STRIPE, CUSTOM External transaction ID from the source platform (e.g, Plaid transaction ID).
"g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko"
External account ID from the source platform (e.g, Plaid account ID).
"Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG"
Timestamp when the transaction was imported.
Date of the transaction.
Direction of the transaction.
CREDIT, DEBIT Transaction amount in cents.
Name of the transaction counterparty.
"WeWork"
Description of the transaction.
"WeWork monthly rent payment"
Name of the bank account.
"Plaid Checking"
The status of the transaction’s categorization in Layer’s systems.
PENDING, READY_FOR_INPUT, CATEGORIZED, SPLIT, LAYER_REVIEW, JOURNALING, MATCHED The category assigned to the transaction. Only populated for transactions that have a finalized category.
The method used to classify the transaction.
SMS, API, LAYER_AUTO, LAYER_MANUAL REVENUE, EXPENSE, EXCLUDE Memo for any text you would like to associate with the bank transaction (for example, to display to end users).
Arbitrary custom metadata in JSON format with a size limit of 1KB.
{
"custom_field": "value",
"any valid json": "below 1kb",
"nested": { "meaning of life": 42, "array": [] }
}Any (typically user-visible) identifier you would like to associate with the bank transaction. Can be used to filter when listing bank transactions.